<?php
// Own namespace
namespace Org\Mxchange\CoreFramework\Traits\Result\Search;

// Import framework stuff
use Org\Mxchange\CoreFramework\Result\Search\SearchableResult;

/**
 * A trait for searchable results
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2020 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
trait SearchableResultTrait {
	/**
	 * Database result instance
	 */
	private $resultInstance = NULL;

	/**
	 * Setter for database result instance
	 *
	 * @param	$resultInstance		An instance of a database result class
	 * @return	void
	 * @todo	SearchableResult and UpdateableResult shall have a super interface to use here
	 */
	protected final function setResultInstance (SearchableResult $resultInstance) {
		$this->resultInstance =  $resultInstance;
	}

	/**
	 * Getter for database result instance
	 *
	 * @return	$resultInstance		An instance of a database result class
	 */
	public final function getResultInstance () {
		return $this->resultInstance;
	}

}
